
TYPO3.Neos - Feature # 44644

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Markus Goldbeck Category: UI
Created: 2013-01-18 Assigned To: Robert Lemke
Updated: 2014-11-02 Due date:
Subject: Nodename according to the pagetitle
Description

When a new page is created the nodename should be accordingly named like the title.

Example:

new pagetitle: Products -> nodename: products

if there is already a nodename called 'products' it should be automatically be changed into 'products1'

Related issues:
duplicated by Base Distribution - Task # 48146: Change default generated node... Closed 2013-05-13

Associated revisions
Revision 75a58365 - 2013-09-17 09:50 - Robert Lemke

[FEATURE] New nodes: set node name according to page title

This patch adds a feature which will automatically set a human
friendly node name derived from the node's title when creating
a new node via the (page) tree. Some very basic transliteration
is included, proper implementation of that is scope of a separate
change though.

If a node with the same name already exists, a counter is added
to the node name.

This implementation only takes care of new Document-like nodes
which are created via the tree (currently implemented with an
ExtDirect controller).

Change-Id: Ic017bf4c98d4beabe5d9eeb84fff792ae97d60f0
Resolves: #44644
Reviewed-on: https://review.typo3.org/23741
Tested-by: Robert Lemke
Tested-by: Mr. Hudson
Reviewed-by: Bastian Waidelich
Reviewed-by: Robert Lemke

Revision 4965a624 - 2013-09-23 12:11 - Karsten Dambekalns

[TASK] Use renderValidNodeName() from TYPO3CR\Utility
https://review.typo3.org/23741


Change-Id: I6a827994f924741bcfca90e144535c422e527cbf
Related: #44644
(cherry picked from commit e8d86b338cd6cae35a6b45ee5ae9849496958030)
Reviewed-on: https://review.typo3.org/23891
Tested-by: Mr. Hudson
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke

History
#1 - 2013-09-11 09:34 - Robert Lemke
- Status changed from New to Accepted
- Assigned To changed from Markus Goldbeck to Robert Lemke

#2 - 2013-09-11 09:34 - Robert Lemke
- Tracker changed from Task to Feature

#3 - 2013-09-11 14:12 - Robert Lemke
- Parent task set to #45020

#4 - 2013-09-11 14:25 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23741

#5 - 2013-09-11 15:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23741

#6 - 2013-09-11 15:22 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23741

#7 - 2013-09-16 18:14 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23741

#8 - 2013-09-17 10:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:75a58365d2f1e8f6bb274cdcae1436928da7aa8d.
#9 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
